react-webpack-template
=============

This is based on [react-webpack](https://github.com/ThomasDeutsch/react-webpack)

a [react](http://facebook.github.io/react/index.html) + [webpack](https://github.com/webpack/webpack)  project template. ES6 (Harmony) enabled through [Facebook-jstransform](https://github.com/facebook/jstransform)

This template is a great way to start the [react-tutorial](http://facebook.github.io/react/docs/tutorial.html)


### Install
Download this repository to your local project folder and run
``` npm install ``` from the folder where the package.json is located.

### System Requirements

install [node.js](http://nodejs.org/download/) and [git](http://git-scm.com/downloads)

after node.js is installed, run these commands

``` npm install webpack -g ```

``` npm install bower -g ```

``` npm install webpack-dev-server -g ```

### Dev-Server
run ``` npm run devserver ``` from your project folder -> this will start a server at [http://localhost:3000/](http://localhost:3000/)

### Build
simply run ``` webpack ``` or ``` webpack -watch ``` from your project folder to build an uglifyed bundle.
